For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all counterparts
      • POSTCreate a counterpart
      • GETGet a counterpart
      • DELDelete a counterpart
      • PATCHUpdate a counterpart
      • GETGet counterpart metadata
      • PUTReplace counterpart metadata
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonCounterparts

Update a counterpart

PATCH
/counterparts/:counterpart_id
PATCH
/v1/counterparts/:counterpart_id
$curl -X PATCH https://api.sandbox.monite.com/v1/counterparts/counterpart_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "individual": {}
>}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "created_automatically": true,
6 "created_by_entity_user_id": "created_by_entity_user_id",
7 "default_billing_address_id": "default_billing_address_id",
8 "default_shipping_address_id": "default_shipping_address_id",
9 "external_reference": "123456789",
10 "individual": {
11 "email": "asingh@example.net",
12 "first_name": "Adnan",
13 "is_customer": true,
14 "is_vendor": true,
15 "last_name": "Singh",
16 "phone": "5553211234",
17 "tags": [
18 {
19 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
20 "created_at": "2022-09-07T16:35:18Z",
21 "updated_at": "2022-09-07T16:35:18Z",
22 "category": "document_type",
23 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
24 "description": "Tag for the Marketing Department",
25 "name": "Marketing"
26 }
27 ],
28 "title": "Mr."
29 },
30 "language": "ab",
31 "reminders_enabled": true,
32 "tax_id": "tax_id",
33 "type": "individual"
34}
Was this page helpful?
Previous

Get counterpart metadata

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

counterpart_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
objectRequired
OR
objectRequired

Response

Successful Response
object
OR
object

Errors

401
Patch Counterparts ID Request Unauthorized Error
403
Patch Counterparts ID Request Forbidden Error
404
Patch Counterparts ID Request Not Found Error
422
Patch Counterparts ID Request Unprocessable Entity Error
500
Patch Counterparts ID Request Internal Server Error